Raritan PX2/PX3 JSON-RPC API: hmi::InternalBeeper_2_0_1 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Public Types | Public Member Functions | Public Attributes | List of all members
hmi::InternalBeeper_2_0_1 Interface Reference

Internal beeper interface. More...

`import"InternalBeeper.idl";`

## Public Types
enum | State { OFF, ON_NOTIFICATION, ON_ACTIVATION }
| Activation state. More...

## Public Member Functions
void | mute (in boolean muted)
| Mute beeper, turn off all internal alarm notifications. More...
boolean | isMuted ()
| Check whether beeper is currently muted. More...
void | activate (in boolean on, in string reason, in int timeout)
| Activate the beeper for a given time. More...
State | getState (out string reason, out boolean mutedTemporarily)
| Retrieve the current beeper activation state. More...
void | muteCurrentActivation ()
| Mute the beeper for the current activation. More...

## Public Attributes
valueobject | MuteChangedEvent: event::UserEvent { boolean muted
| Event: The beeper has been muted or unmuted.
valueobject | StateChangedEvent: idl::Event { State state
| Event: The beeper activation status has changed. More...
string | reason
| Activation reason.
boolean | mutedTemporarily

## Detailed Description

Internal beeper interface.

## Member Enumeration Documentation

## ◆ State

enum hmi::InternalBeeper_2_0_1::State

Activation state.

Enumerator
OFF | Beeper is currently off.
ON_NOTIFICATION | Beeper is currently active due to an internal alarm notification.
ON_ACTIVATION | Beeper is currently active due to an external activation.

## Member Function Documentation

## ◆ activate()

void hmi::InternalBeeper_2_0_1::activate | ( | in boolean | on,
|  | in string | reason,
|  | in int | timeout
| ) |  |

Activate the beeper for a given time.

Parameters

  activate | Whether to turn on or off the beeper
  reason | Description of the reason to turn on the beeper (only valid whtn turning on the beeper)
  timeout | Activation timeout in milliseconds (only valid when turning on the beeper, 0 = infinite activation)

## ◆ getState()

State hmi::InternalBeeper_2_0_1::getState | ( | out string | reason,
|  | out boolean | mutedTemporarily
| ) |  |

Retrieve the current beeper activation state.

Parameters

  reason | Return value for activation reason if the beeper is currently active
  mutedTemporarily | Whether the beeper is currently muted due to a call to muteCurrentActivation.

Returns
  The current beeper state

## ◆ isMuted()

boolean hmi::InternalBeeper_2_0_1::isMuted | ( |  | ) |

Check whether beeper is currently muted.

Returns
  `true` if muted, `false` if not

## ◆ mute()

void hmi::InternalBeeper_2_0_1::mute | ( | in boolean | muted | ) |

Mute beeper, turn off all internal alarm notifications.

Parameters

  mute | `true` to mute beeper, `false` for normal mode

## ◆ muteCurrentActivation()

void hmi::InternalBeeper_2_0_1::muteCurrentActivation | ( |  | ) |

Mute the beeper for the current activation.

If the beeper is currently on, it will be turned off until another call to the activate method or until a new internal notification happens.

## Member Data Documentation

## ◆ StateChangedEvent

valueobject hmi::InternalBeeper_2_0_1::StateChangedEvent

Event: The beeper activation status has changed.

The current beeper state

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/InternalBeeper.idl